This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535572 - (RHQ-2253) remove http(s) options from rhq.agent.server.transport in rhq-plugin.xml
remove http(s) options from rhq.agent.server.transport in rhq-plugin.xml
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
1.3pre
All All
low Severity medium (vote)
: ---
: ---
Assigned To: John Mazzitelli
Mike Foley
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-07-21 14:09 EDT by Corey Welton
Modified: 2013-09-02 03:27 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:27:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-07-21 14:09:00 EDT
Per RHQ-2009, similar to removing http/https from "rhq.communications.connector.transport", we should perhaps do the same for "rhq.agent.server.transport".

[13:26] <cswiii> ping, re: http://jira.rhq-project.org/browse/RHQ-2009 -- out of curiosity, is it valid for 
                 'rhq.agent.server.transport' to have http(s)?
[13:29] <mazz> technically, we can use that, but people will probably never use it. (ssl)socket or (ssl)servlet are probalby 
               the ones we really need
[13:29] <mazz> we probably could remove those http(s).. I'm not sure if we really need those

Repro steps:
1. Unpack agent plugin jar
2. navigate to rhq-plugin.xml 
3. Search for rhq.communications.connector.transport
4. Observe results.
Comment 1 Red Hat Bugzilla 2009-11-10 16:00:52 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2253
Comment 2 wes hayutin 2010-02-16 11:59:07 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 12:03:52 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 John Mazzitelli 2011-03-24 09:05:34 EDT
as per:

http://rhq-project.org/display/JOPR2/Communications+Configuration
http://rhq-project.org/display/JOPR2/Securing+Communications

the protocols that would only be used/supported is (ssl)servlet and (ssl)socket.

commit af9ff8b removes http and https from the list of options
Comment 5 Mike Foley 2011-06-09 16:10:25 EDT
visual inspection of rhq-plugins.xml
Comment 6 Heiko W. Rupp 2013-09-02 03:27:36 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.